HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetCustomersCustomerSubscriptions

Contains the different functions to run the operation getCustomersCustomerSubscriptions

  • 3 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports6
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetCustomersCustomerSubscriptions.hs
valuegetCustomersCustomerSubscriptions
  1. :: MonadHTTP m
  2. => GetCustomersCustomerSubscriptionsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetCustomersCustomerSubscriptionsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/customers/{customer}/subscriptions

<p>You can see a list of the customer’s active subscriptions. Note that the 10 most recent active subscriptions are always available by default on the customer object. If you need more than those 10, you can use the limit and starting_after parameters to page through additional subscriptions.</p>

Defines the object schema located at paths./v1/customers/{customer}/subscriptions.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getCustomersCustomerSubscriptions.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetCustomersCustomerSubscriptionsResponseError is used.

Instances2Eq, Show

Defines the object schema located at paths./v1/customers/{customer}/subscriptions.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON